### File

`packages/eui/packages/deprecated/ux-carousel-item/ux-carousel-item.component.ts`

### Implements

`FocusableOption`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `ux-carousel-item`
styleUrls | `./styles/_index.scss`
templateUrl | `./ux-carousel-item.component.html`

### Index

###### Properties

- tabindex

###### Methods

- focus

###### Inputs

- e2eAttr
- id
- isActive
- styleClass

###### HostBindings

- attr.tabindex

###### Accessors

- isActive

### Constructor

`constructor(host: ElementRef)`

Parameters :

Name | Type | Optional
host | `ElementRef` | No

### Inputs

e2eAttr
Type : `string`
Default value : `'ux-carousel-item'`

id
Type : `number`
Default value : `0`

isActive
Type : `boolean`

styleClass
Type : `string`

### HostBindings

attr.tabindex
Type : `string`
Default value : `'-1'`

### Methods

focus
`focus()`
Returns : `void`

### Properties

tabindex
Type : `string`
Default value : `'-1'`
Decorators : `@HostBinding('attr.tabindex')`

### Accessors

isActive
get `isActive()`
set `isActive(value: BooleanInput)`

Parameters :

Name | Type | Optional
value | `BooleanInput` | No

Returns : `void`

# results matching ""

# No results matching ""